## GocRectangle

GocRectangle — Rectangle.

## Synopsis

                        GocRectangle;
    typedef             GocRectangleClass;

## Object Hierarchy

      GObject
       +----GocItem
             +----GocStyledItem
                   +----GocRectangle

## Implemented Interfaces

GocRectangle implements GOStyledObject.

## Properties

      "height"                   gdouble               : Read / Write
      "width"                    gdouble               : Read / Write
      "x"                        gdouble               : Read / Write
      "y"                        gdouble               : Read / Write

## Description

GocPolygon implements rectangle drawing in the canvas.

## Details

### GocRectangle

    typedef struct _GocRectangle GocRectangle;

### GocRectangleClass

    typedef GocStyledItemClass GocRectangleClass;

## Property Details

### The `"height"` property

      "height"                   gdouble               : Read / Write

The rectangle height.

Allowed values: >= 0

Default value: 0

### The `"width"` property

      "width"                    gdouble               : Read / Write

The rectangle width.

Allowed values: >= 0

Default value: 0

### The `"x"` property

      "x"                        gdouble               : Read / Write

The rectangle left position (or right position in RTL mode).

Default value: 0

### The `"y"` property

      "y"                        gdouble               : Read / Write

The rectangle top position.

Default value: 0